Page MenuHomePhabricator

Requesting research DB access for Alex Monk
Closed, ResolvedPublic

Description

Username: krenair
Full name: Alex Monk

I think this is the "researcher" group. It might be statistics-users though.

As a member of the VisualEditor team (i.e., not a volunteer like my deployment access), I need to access the eventlogging data, particularly (but probably not only) the Edit and MobileWebEdit schemas. I intend to work on T110272 and the blocked task, and want to investigate what data is currently stored, as well as confirm that nothing is wrong with the resulting logs.

Event Timeline

Krenair created this task.Aug 28 2015, 11:13 PM
Krenair raised the priority of this task from to Needs Triage.
Krenair updated the task description. (Show Details)
Krenair added a project: SRE-Access-Requests.
Krenair added subscribers: Krenair, Jdforrester-WMF.
Restricted Application added a project: acl*sre-team. · View Herald TranscriptAug 28 2015, 11:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

+1 sort-of manager sign-off

Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 28 2015, 11:15 PM
RobH claimed this task.EditedAug 31 2015, 5:39 PM
RobH added a subscriber: RobH.

So neither one of those groups are sudo, this only needs the three day wait. Since I'm on clinic duty this week, I'm claiming to for implementation after the 3 day wait has passed (without objections.)

Change 235047 had a related patch set uploaded (by John F. Lewis):
admin: add Krenair to researchers

https://gerrit.wikimedia.org/r/235047

Change 235047 merged by RobH:
admin: add Krenair to researchers

https://gerrit.wikimedia.org/r/235047

RobH closed this task as Resolved.Sep 2 2015, 10:00 PM

No objections, merged and is now live.

Works fine, thanks @RobH. I had found https://wikitech.wikimedia.org/wiki/Analytics/Data_access which I used to figure out where things are, and will probably improve that page later.